NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Features::ShipDesign::ProfileSystemBuilder Class Reference

This class is used to create or edit the information shared between all the Basic Design profile system features in the Ship Design application. More...

Inheritance diagram for NXOpen::Features::ShipDesign::ProfileSystemBuilder:
NXOpen::Features::ShipDesign::FeatureParmsBuilder NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder NXOpen::Features::ShipDesign::EdgeReinforcementBuilder NXOpen::Features::ShipDesign::EditBoundaryBuilder NXOpen::Features::ShipDesign::PillarSystemBuilder NXOpen::Features::ShipDesign::SeamBuilder NXOpen::Features::ShipDesign::StiffenerSystemBuilder

Public Member Functions

NXOpen::SelectNXObjectListBoundary1 ()
 Returns the collector containing the plate system, profile system, or datum plane that will be used to trim the first end of the generated profile system. More...
 
NXOpen::PlaneBoundary1Plane ()
 Returns the defined plane that will be used to trim the first end of the generated profile system. More...
 
NXOpen::SelectNXObjectListBoundary2 ()
 Returns the collector containing the plate system, profile system, or datum plane that will be used to trim the second end of the generated profile system. More...
 
NXOpen::PlaneBoundary2Plane ()
 Returns the defined plane that will be used to trim the second end of the generated profile system. More...
 
bool BoundaryReverse ()
 Returns the indication if the side of a single boundary should be changed to the other side or not. More...
 
void CreatePathCurves (std::vector< NXOpen::NXObject * > &curves)
 Creates path curves for all the paths of the profile system. More...
 
void DeleteLastPathCurves ()
 Deletes the path curves returned from a call to GetLastPathCurves . More...
 
void DeletePathCurves ()
 Deletes the path curves created from a call to CreatePathCurves . More...
 
NXOpen::SelectPointListFirstIntersectionPoints ()
 Returns the selected intersection points between the curves and the first boundary. More...
 
void GetLastPathCurves (std::vector< NXOpen::NXObject * > &curves)
 Gets the path curves used by NXOpen::Features::ShipDesign::OrientationDefinitionBuilder . More...
 
bool ReversePathDirection ()
 Returns the flag that indicates if the default curve direction should be reversed or not. More...
 
NXOpen::SelectPointListSecondIntersectionPoints ()
 Returns the selected intersection points between the curves and the second boundary. More...
 
void SetBoundary1Plane (NXOpen::Plane *boundary1Plane)
 Sets the defined plane that will be used to trim the first end of the generated profile system. More...
 
void SetBoundary2Plane (NXOpen::Plane *boundary2Plane)
 Sets the defined plane that will be used to trim the second end of the generated profile system. More...
 
void SetBoundaryOnePoints (const std::vector< NXOpen::Point3d > &points)
 Sets the selected intersection points for the first boundary. More...
 
void SetBoundaryReverse (bool boundaryReverse)
 Sets the indication if the side of a single boundary should be changed to the other side or not. More...
 
void SetBoundaryTwoPoints (const std::vector< NXOpen::Point3d > &points)
 Set the selected intersection points for the second boundary. More...
 
void SetRegionPoints (const std::vector< NXOpen::Point3d > &points)
 Sets the points that identify which regions of the curves will be used. More...
 
void SetReversePathDirection (bool pathReverse)
 Sets the flag that indicates if the default curve direction should be reversed or not. More...
 
void SetUseNewDefaultSectionAlgorithm (bool useIt)
 Sets the flag that indicates if the new default section algorithm is used. More...
 
NXOpen::SelectPointListSplitKnuckleLocations ()
 Returns the collector containing the knuckle points that are to be used to create seams. More...
 
bool UseNewDefaultSectionAlgorithm ()
 Returns the flag that indicates if the new default section algorithm is used. More...
 
- Public Member Functions inherited from NXOpen::Features::ShipDesign::FeatureParmsBuilder
double AngleTolerance ()
 Returns the tolerance, in degrees, used to determine when angles are zero. More...
 
NXOpen::Features::ShipDesign::PlaneListBuilderCreatePlaneForList ()
 Create a NXOpen::Features::ShipDesign::PlaneListBuilder to add a defined plane to a list. More...
 
double DistanceTolerance ()
 Returns the tolerance used to determine when distances are considered zero. More...
 
NXOpen::Features::ShipDesign::FeatureParmsBuilder::OrientationAngleRuleTypes OrientationAngleRule ()
 Returns the angle rule to use when measuring angles. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the tolerance, in degrees, used to determine when angles are zero. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the tolerance used to determine when distances are considered zero. More...
 
void SetOrientationAngleRule (NXOpen::Features::ShipDesign::FeatureParmsBuilder::OrientationAngleRuleTypes angleRule)
 Sets the angle rule to use when measuring angles. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Additional Inherited Members

- Public Types inherited from NXOpen::Features::ShipDesign::FeatureParmsBuilder
enum  OrientationAngleRuleTypes { OrientationAngleRuleTypesRightHand, OrientationAngleRuleTypesShipOrientation }
 Settings to indicate how angles are to be measured. More...
 

Detailed Description

This class is used to create or edit the information shared between all the Basic Design profile system features in the Ship Design application.

Currently this includes the following features: NXOpen::Features::ShipDesign::StiffenerSystem , NXOpen::Features::ShipDesign::PillarSystem , and NXOpen::Features::ShipDesign::EdgeReinforcement .
To create a new instance of this class, use NXOpen::Features::ShipCollection::CreateProfileSystemBuilder

Created in NX8.0.0.

Member Function Documentation

NXOpen::SelectNXObjectList* NXOpen::Features::ShipDesign::ProfileSystemBuilder::Boundary1 ( )

Returns the collector containing the plate system, profile system, or datum plane that will be used to trim the first end of the generated profile system.

Only one sheet body or one plane can be input.
Created in NX8.0.0.

License requirements : None

NXOpen::Plane* NXOpen::Features::ShipDesign::ProfileSystemBuilder::Boundary1Plane ( )

Returns the defined plane that will be used to trim the first end of the generated profile system.


Created in NX8.0.0.

License requirements : None

NXOpen::SelectNXObjectList* NXOpen::Features::ShipDesign::ProfileSystemBuilder::Boundary2 ( )

Returns the collector containing the plate system, profile system, or datum plane that will be used to trim the second end of the generated profile system.

Only one sheet body or one plane can be input.
Created in NX8.0.0.

License requirements : None

NXOpen::Plane* NXOpen::Features::ShipDesign::ProfileSystemBuilder::Boundary2Plane ( )

Returns the defined plane that will be used to trim the second end of the generated profile system.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Features::ShipDesign::ProfileSystemBuilder::BoundaryReverse ( )

Returns the indication if the side of a single boundary should be changed to the other side or not.

By default the side that is on the same side as the sheet body or plane normal is chosen.
Created in NX8.0.0.

License requirements : None

void NXOpen::Features::ShipDesign::ProfileSystemBuilder::CreatePathCurves ( std::vector< NXOpen::NXObject * > &  curves)

Creates path curves for all the paths of the profile system.


Created in NX9.0.0.

License requirements : None

Parameters
curvesThe curves defining all the paths of the profiles that are being created.
void NXOpen::Features::ShipDesign::ProfileSystemBuilder::DeleteLastPathCurves ( )

Deletes the path curves returned from a call to GetLastPathCurves .


Created in NX9.0.0.

License requirements : None

void NXOpen::Features::ShipDesign::ProfileSystemBuilder::DeletePathCurves ( )

Deletes the path curves created from a call to CreatePathCurves .


Created in NX9.0.0.

License requirements : None

NXOpen::SelectPointList* NXOpen::Features::ShipDesign::ProfileSystemBuilder::FirstIntersectionPoints ( )

Returns the selected intersection points between the curves and the first boundary.


Created in NX8.5.0.

License requirements : None

void NXOpen::Features::ShipDesign::ProfileSystemBuilder::GetLastPathCurves ( std::vector< NXOpen::NXObject * > &  curves)

Gets the path curves used by NXOpen::Features::ShipDesign::OrientationDefinitionBuilder .


Created in NX9.0.0.

License requirements : None

Parameters
curvesThe curves to be used for profile orientation.
bool NXOpen::Features::ShipDesign::ProfileSystemBuilder::ReversePathDirection ( )

Returns the flag that indicates if the default curve direction should be reversed or not.

By default curve's direction is consistent with ship coordinate.
Created in NX11.0.0.

License requirements : None

NXOpen::SelectPointList* NXOpen::Features::ShipDesign::ProfileSystemBuilder::SecondIntersectionPoints ( )

Returns the selected intersection points between the curves and the second boundary.


Created in NX8.5.0.

License requirements : None

void NXOpen::Features::ShipDesign::ProfileSystemBuilder::SetBoundary1Plane ( NXOpen::Plane boundary1Plane)

Sets the defined plane that will be used to trim the first end of the generated profile system.


Created in NX8.0.0.

License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
boundary1Planeboundary1plane
void NXOpen::Features::ShipDesign::ProfileSystemBuilder::SetBoundary2Plane ( NXOpen::Plane boundary2Plane)

Sets the defined plane that will be used to trim the second end of the generated profile system.


Created in NX8.0.0.

License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
boundary2Planeboundary2plane
void NXOpen::Features::ShipDesign::ProfileSystemBuilder::SetBoundaryOnePoints ( const std::vector< NXOpen::Point3d > &  points)

Sets the selected intersection points for the first boundary.


Created in NX8.5.0.

License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
pointsThe selected intersection points for boundary one.
void NXOpen::Features::ShipDesign::ProfileSystemBuilder::SetBoundaryReverse ( bool  boundaryReverse)

Sets the indication if the side of a single boundary should be changed to the other side or not.

By default the side that is on the same side as the sheet body or plane normal is chosen.
Created in NX8.0.0.

License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
boundaryReverseboundaryreverse
void NXOpen::Features::ShipDesign::ProfileSystemBuilder::SetBoundaryTwoPoints ( const std::vector< NXOpen::Point3d > &  points)

Set the selected intersection points for the second boundary.


Created in NX8.5.0.

License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
pointsThe selected intersection points for boundary two.
void NXOpen::Features::ShipDesign::ProfileSystemBuilder::SetRegionPoints ( const std::vector< NXOpen::Point3d > &  points)

Sets the points that identify which regions of the curves will be used.


Created in NX11.0.0.

License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
pointsThe points that identify which regions of the curves are to be used.
void NXOpen::Features::ShipDesign::ProfileSystemBuilder::SetReversePathDirection ( bool  pathReverse)

Sets the flag that indicates if the default curve direction should be reversed or not.

By default curve's direction is consistent with ship coordinate.
Created in NX11.0.0.

License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
pathReversepathreverse
void NXOpen::Features::ShipDesign::ProfileSystemBuilder::SetUseNewDefaultSectionAlgorithm ( bool  useIt)

Sets the flag that indicates if the new default section algorithm is used.


Created in NX11.0.0.

License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
useItuseit
NXOpen::SelectPointList* NXOpen::Features::ShipDesign::ProfileSystemBuilder::SplitKnuckleLocations ( )

Returns the collector containing the knuckle points that are to be used to create seams.


Created in NX12.0.0.

License requirements : None

bool NXOpen::Features::ShipDesign::ProfileSystemBuilder::UseNewDefaultSectionAlgorithm ( )

Returns the flag that indicates if the new default section algorithm is used.


Created in NX11.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.